Rails: "Could not find bundler" (2.2.11) required by Gemfile.lock. (Gem::GemNotFoundException)

When I try to do bundler update I get this error: .rvm/rubies/ruby-1.9.2-p180/lib/ruby/site_ruby/1.9.1/rubygems/dependency.rb:247:in `to_specs': Could not find bundler (>= 0) amongst [rake-0.8.7,...

Rails keeps telling me that it's not currently installed

I use rvm to manage different rubies and their gemsets. My shell is zsh with oh-my-zsh configured with basic settings. Enabled oh-my-zsh plugins are ruby, rails, osx, and git. Here's the command I...

Cross-thread violation on rb_gc()

The codebase I'm working on was recently upgraded from Ruby 1.9.2 to Ruby 1.9.3 and from Rails 3.1 to Rails 3.2.2. Since I'm using RVM I simply did rvm install 1.9.3 which I would have expected...

Rails does not work on Lion

I changed my Mac OSX version to Lion. However I cannot create a Rails3 app. I use rvm 1.9.2 and i choose ruby 1.9.2-p290 to create Rails 3 app. Everything seems okey. When I start to create a new...

teaching myself rails deploying first app to heroku -failure to upload - sqlite3 and postgre glitch

Im teaching myself rails. Im a programmer but not a web programmer. Im going through Michael Hartl's book here It mentions that its a good idea to start deploying your app right from the...

Rails/Ruby/Postgres - LoadError cannot load such file -- pg_ext

I am trying to call a Ruby script (which connects to a postgres db) using the rails controller below, however it appears it is having problems loading one of the PG gem files. I have set my...

Brew Update not working after mac 10.9

First time running brew since 10.9 upgrade. From the output below, should I just remove Library/Formula/ant.rb and Library/Formula/apple-gcc42.rb? Also, unclear why git pull is failing. Thanks for...

-bash: /Users/myname/.bash_profile: Permission denied

I installed rvm (ruby version manager) and it was success, but I got WARNING: You have '~/.profile' file, you might want to load it, to do that add the following line to...

PostgreSQL - Rails Server Crashing on Start "Library not loaded...(LoadError)"

I am setting up a Rails Project. Each time I go to start the server, I am getting a big error; rails server puma warning: ignoring extraneous `ruby-' prefix in version `ruby-2.0.0-p247' ...

Error running '__rvm_make install'

I'm new to programming trying to add Ruby 2.2 using RVM and receiving the below error. I've run rvm get stable and tried reinstalling, but getting the same error. $ rvm reinstall...

How to use "mini_backtrace" Gem on rails 4.2.0?

I followed Michael Hartl tutorial and now I'm developing my own app. When I was making my first RED test I saw a huge backtrace, so I remembered to add "*mini_backtrace*" gem (v 0.1.3) to my...

Ignore SSL for MySQL in database.yml

I want to set up my database.yml (or wherever else is more appropriate) to ignore the SSL certificate when trying to connect to the database. I know this is bad practice but it is only a temporary...

Rails creating blog bundler load error

when i try execute command rails new blog i take an error like this run bundle install /usr/bin/ruby2.3: No such file or directory --...

How to properly do model testing with ActiveStorage in rails?

I have just switched to using ActiveStorage on rails 5.1.4 and I am new to TDD and struggling to figure out how to test a model that has_one_attached :avatar require 'rails_helper' RSpec.describe...

Ruby 99% ++ CPU Usage on Mac

I have a problem in running Ruby in my Mac machine. I've been google for a while but not found satisfying answer, so i decided to ask myself. I run some simple ruby code using Visual Studio Code...

Ruby on Rails console - undefined method `assets'

On the project the console ceased to be started, I tried everything that found in Google.. I run rails c and get an...

I am trying to set up rspec to run in debug mode in VsCode

I am trying to set up VsCode to run my spec tests in debug mode. I have added the following launch.json file to the project. I am using rvm and have installed the necessary gems in that location...

undefined method `has_one_attached' for #<Class:> (NoMethodError) using Ubuntu + Apache + Passenger

I'm getting this error using Ubuntu + Apache + Passenger. The problem is that I'm not using any database or model. undefined method `has_one_attached' for #<Class:0x0000555c6ad94fd8>...

Unable to install pg gem on Windows

I'm trying to install the pg gem in my project but I get the following error when I run gem install pg, or if I run bundle install: ERROR: Error installing pg: ERROR: Failed to build gem...

Do I have 2 kinds of git installed in my Mac? If so, which one will be used by default?

If I type on the terminal: > git --version git version 2.21.1 (Apple Git-122.3) And if I type: > brew upgrade git Warning: git 2.25.0_1 already installed I'm guessing, my computer has 2 kinds...

Jekyll ERROR Errno::ECONNRESET: Connection reset by peer @ io_fillbuf - fd:17

I'm getting the following error in my console logs when running the bundle exec jekyll command. [2020-01-29 15:34:01] ERROR Errno::ECONNRESET: Connection reset by peer @ io_fillbuf - fd:16 ...

Upgrading Global Ruby Version on macOS

I am trying to update Ruby on my computer to version 2.7.0 as that is the latest stable version. Running macOS Catalina Version 10.15.3 Have tried the top two solutions from this StackOverflow...

What can be done to fix the following error when we run any rails command: " `require_relative': cannot load such file "

Any rails command doesn't work for me. I have several versions of ruby installed through rvm. I tried installing rails with all the versions, they do install successfully but with all of them I...

How to get RSpec working with debugger IDE in VSCode

Despite having spent about the last three hours trying to get this working I cannot for the life of my get RSpec to work with the debugger on VSCode. I can get Rspec to run in the terminal on...

'pod init' returns: Operation not permitted - getcwd (Errno::EPERM)

When I try perform pod init in my Xcode project directory, it returns the following: Traceback (most recent call last): 35: from /usr/local/bin/pod:23:in `<main>' 34: from...

flutter doctor - CocoaPods installed but not working

using zsh - use to work in bash brew doctor - Your system is ready to brew. flutter doctor gives this error [!] Xcode - develop for iOS and macOS (Xcode 12.2) ✗ CocoaPods installed but not...

How to fix "can't find executable rails for gem railties. railties is not currently included in the bundle"?

My application server is not starting and giving the error when I am trying to start the server by: bundle exec rails server -b 0.0.0.0 Traceback (most recent call last): 4: from...

bundle install error - ruby_dep-1.5.0 requires ruby version >= 2.2.5 but I have version 3.0.1p64

I used to work in a project with a Ubuntu machine flawlessly. After some time, I decided to hop into Fedora and now that I've setup everything, I was going to continue the project but when I run...

RubyGems Error while installing Jekyll 'openssl/ssl.h' file not found

I am trying to install Jekyll on my Mac (gem install jekyll) using RubyGems but I'm running into the error below. Building native extensions. This could take a while... ERROR: Error installing...

importmap-rails in Rails 7, is this possible?

I have opened an issue in the importmap-rails gem github repository here about this but thought I'd throw the question out here in case anyone might have a workaround This is what I have...